incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martijn Dashorst" <martijn.dasho...@gmail.com>
Subject Re: [POLL] Incubator Maven Repository
Date Sun, 06 May 2007 14:23:30 GMT
On 5/6/07, Daniel Kulp <daniel.kulp@iona.com> wrote:
> I disagree with setting the groupId to org.apache.incubator.<podling>.
> I greatly prefer requiring a version string that includes either
> incubator or incubating.    (ex: 2.0-incubator,  1.3-incubating, etc..)
>
> Putting it in the group ID causes a MUCH larger set of headaches for both
> the project itself as well as all dependent projects upon graduation.
> You can also end up with two jars on the classpath with the same code in
> it, just different versions.

This is already a concern for existing projects coming from outside
Apache. It is completely and easily possible to become dependent on
both org.apache.wicket/wicket-1.3.0-incubating-beta1.jar and
wicket/wicket-1.2.6.jar

Only _not_ depending on podling releases will prevent this for
depending projects.

Martijn

-- 
Learn Wicket at ApacheCon Europe: http://apachecon.com
Join the wicket community at irc.freenode.net: ##wicket
Wicket 1.2.6 contains a very important fix. Download Wicket now!
http://wicketframework.org

---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
For additional commands, e-mail: general-help@incubator.apache.org


Mime
View raw message